Skip to content

Currency Pairs by type

GET
/v1/public/pairs/{type}

Get a list of all the currency pairs supported by VALR, filtered by type.

Parameters

Path Parameters

type*

The type of currency pairs to return. Examples: SPOT, FUTURE

Type
string
Required

Responses

List of currency pairs matching the specified type

application/json
JSON
[
{
"symbol": "ETHZAR",
"baseCurrency": "ETH",
"quoteCurrency": "ZAR",
"shortName": "ETH/ZAR",
"active": true,
"minBaseAmount": "0.0002",
"maxBaseAmount": "69.21",
"minQuoteAmount": "10",
"maxQuoteAmount": "5000000",
"tickSize": "1",
"baseDecimalPlaces": "8",
"marginTradingAllowed": true,
"currencyPairType": "SPOT",
"initialMarginFraction": "0.2",
"maintenanceMarginFraction": "0.1",
"autoCloseMarginFraction": "0.033333333"
},
{
"symbol": "BNBUSDC",
"baseCurrency": "BNB",
"quoteCurrency": "USDC",
"shortName": "BNB/USDC",
"active": true,
"minBaseAmount": "0.0008",
"maxBaseAmount": "80",
"minQuoteAmount": "0.52",
"maxQuoteAmount": "52000",
"tickSize": "0.1",
"baseDecimalPlaces": "4",
"marginTradingAllowed": false,
"currencyPairType": "SPOT"
}
]

Playground

Variables
Key
Value

Samples